#include<iostream>
#include <iomanip>
#include<conio.h>
using namespace std;
class MiyanginClass
{
	public :
		int Number1, Number2, Number3;
		double Result;
		void Calculate()
		{
			Result = (Number1 + Number2 + Number3) / 3.0;
		}
		double GetResult()
		{
			return Result;
		}
};
int main()
{
	//tarife pointer
	MiyanginClass *A;
	//gereftane fazaye hafeze baraye pointer ha
	A = new MiyanginClass;
	//pardazesh barname
	cout << endl << "Enter 3 numbers  :";
	cin >> A->Number1 >> A->Number2 >> A->Number3;
	A->Calculate();
	cout << endl << "Miyangin = ";
	cout << fixed << setprecision(2) << setfill(' ') << A->GetResult();
	//azad sazi fazaye hafeze baraye pointer ha
	delete A;
	
	getch();
}

